Passer au contenu principal
GET
/
events
/
custom
/
2026-03
/
event-definitions
cURL
curl --request GET \
  --url https://api.hubapi.com/events/custom/2026-03/event-definitions \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "archived": true,
      "associations": [
        {
          "allowsCustomLabels": true,
          "cardinality": "ONE_TO_MANY",
          "category": "HUBSPOT_DEFINED",
          "fromObjectTypeId": "<string>",
          "hasAllAssociatedObjects": true,
          "hasCascadingDeletes": true,
          "hasUserEnforcedMaxFromObjectIds": true,
          "hasUserEnforcedMaxToObjectIds": true,
          "hidden": true,
          "id": 123,
          "inverseAllowsCustomLabels": true,
          "inverseCardinality": "ONE_TO_MANY",
          "inverseHasAllAssociatedObjects": true,
          "inverseId": 123,
          "inverseName": "<string>",
          "isDefault": true,
          "isInversePrimary": true,
          "isPrimary": true,
          "maxFromObjectIds": 123,
          "maxToObjectIds": 123,
          "name": "<string>",
          "portalUniqueIdentifier": "<string>",
          "readOnly": true,
          "toObjectTypeId": "<string>",
          "fromObjectType": "ABANDONED_CART",
          "hiddenReason": "DEFAULT",
          "inverseLabel": "<string>",
          "label": "<string>",
          "toObjectType": "ABANDONED_CART"
        }
      ],
      "fullyQualifiedName": "<string>",
      "id": "<string>",
      "labels": {
        "singular": "<string>",
        "plural": "<string>"
      },
      "name": "<string>",
      "objectTypeId": "<string>",
      "properties": [
        {
          "description": "<string>",
          "fieldType": "<string>",
          "groupName": "<string>",
          "label": "<string>",
          "name": "<string>",
          "options": [
            {
              "hidden": true,
              "label": "<string>",
              "value": "<string>",
              "description": "<string>",
              "displayOrder": 123
            }
          ],
          "type": "<string>",
          "archived": true,
          "archivedAt": "2023-11-07T05:31:56Z",
          "calculated": true,
          "calculationFormula": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "createdUserId": "<string>",
          "dataSensitivity": "highly_sensitive",
          "dateDisplayHint": "absolute",
          "displayOrder": 123,
          "externalOptions": true,
          "formField": true,
          "hasUniqueValue": true,
          "hidden": false,
          "hubspotDefined": true,
          "referencedObjectType": "<string>",
          "sensitiveDataCategories": [
            "<string>"
          ],
          "showCurrencySymbol": true,
          "updatedAt": "2023-11-07T05:31:56Z",
          "updatedUserId": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "createdUserId": 123,
      "description": "<string>",
      "primaryObject": "<string>",
      "primaryObjectId": "<string>",
      "trackingType": "APP_EVENT",
      "updatedAt": "2023-11-07T05:31:56Z",
      "updatedUserId": 123
    }
  ],
  "total": 123,
  "paging": {}
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

after
string

The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.

includeProperties
boolean
limit
integer<int32>

The maximum number of results to display per page.

searchString
string
sortOrder
string

Réponse

successful operation

results
object[]
requis
total
integer<int32>
requis
paging
object
Last modified on April 2, 2026